package net.wanji.web.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class DirListElement {
    /**
     * dir : 1
     * laneList : [{"direction":1,"name":"01","laneType":1}]
     */
    @ApiModelProperty(value = "车道进口方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北", required = true)
    private Integer dir;

    @ApiModelProperty(value = "是否有行人过街：0否；1是", required = true)
    private Integer isPersonCross;
    private List<LaneListElement> laneList;
}